Bug 1411311 - [RFE] Integrate Tap as a Service (TaaS) into RHOSP [NEEDINFO]
Summary: [RFE] Integrate Tap as a Service (TaaS) into RHOSP
Keywords:
Status: NEW
Alias: None
Product: Red Hat OpenStack
Classification: Red Hat
Component: openstack-neutron
Version: unspecified
Hardware: Unspecified
OS: Unspecified
unspecified
medium
Target Milestone: ---
: ---
Assignee: Assaf Muller
QA Contact: Toni Freger
URL: https://launchpad.net/tap-as-a-service
Whiteboard:
: 1462796 1571884 1881890 (view as bug list)
Depends On: 1409964
Blocks: 1476900 epmosp17features, epmosp17rfe 1848015 1411434
TreeView+ depends on / blocked
 
Reported: 2017-01-09 12:35 UTC by Bertrand
Modified: 2021-04-29 17:19 UTC (History)
17 users (show)

Fixed In Version:
Doc Type: If docs needed, set a value
Doc Text:
Clone Of:
Environment:
Last Closed:
Target Upstream Version:
adakopou: needinfo? (amuller)


Attachments (Terms of Use)

Description Bertrand 2017-01-09 12:35:48 UTC
Scope / Description:
Nokia would like to have the capability to mirror VM OVS traffic over VLAN to an external tool. An acceptable intermediate step would be to mirror VM OVS traffic to a destination VM over VXLAN. Information about the TaaS project can be found on Launchpad [1] and at the existing git repository[2]. Additional information can be found at [3],[4],[5],[6]

[1] Project Launchpad - https://launchpad.net/tap-as-a-service
[2] Project Git Repository - https://github.com/openstack/tap-as-a-service
[3] Weekly IRC Meeting - http://eavesdrop.openstack.org/ - Tap_as_a_Service_Meeting
[4] IRC - #openstack-neutron @freenode
[5] Tap-as-a-Service (TaaS) - https://www.openstack.org/summit/vancouver-2015/summit-videos/presentation/tap-as-a-service-taas-port-monitoring-for-neutron-networks
[6] Slideshare - http://www.slideshare.net/PLUMgrid/tapasaservice-what-you-need-to-know-now

Additional Info:
Partner: Nokia
Contact name: Yossi Boaron
Contact email: yossi.boaron@nokia.com

Red Hat EPM: Bertrand Rault
Contact Email: Brault@redhat.com

Comment 1 Nir Yechiel 2017-03-22 09:11:52 UTC
Thanks for filing this request. Please note that this is not part of our immediate plans and is not scoped for RHOSP 11 or 12. Please keep this BZ up to date with more details on the use-case.

Thanks,
Nir

Comment 2 Nir Yechiel 2017-03-22 09:13:38 UTC
Bertrand,

I'd like to use this RFE as a tracker to collect requirements for TaaS. Can you please check with the Nokia team if they are OK with making it a public BZ?

Thanks,
Nir

Comment 3 Bertrand 2017-06-05 07:57:13 UTC
(In reply to Nir Yechiel from comment #2)
> Bertrand,
> 
> I'd like to use this RFE as a tracker to collect requirements for TaaS. Can
> you please check with the Nokia team if they are OK with making it a public
> BZ?
> 
> Thanks,
> Nir

Hello Nir,

Sorry for the late reply. Nokia is perfectly fine in having that BZ public.


Sincerely,

Bertrand

Comment 4 Nir Yechiel 2017-06-11 09:48:17 UTC
(In reply to Bertrand from comment #3)
> (In reply to Nir Yechiel from comment #2)
> > Bertrand,
> > 
> > I'd like to use this RFE as a tracker to collect requirements for TaaS. Can
> > you please check with the Nokia team if they are OK with making it a public
> > BZ?
> > 
> > Thanks,
> > Nir
> 
> Hello Nir,
> 
> Sorry for the late reply. Nokia is perfectly fine in having that BZ public.
> 
> 
> Sincerely,
> 
> Bertrand

Thanks a lot. Any idea of an easy way to do it? It looks like I can't simply "clear" the partner field.

Thanks,
Nir

Comment 5 Bertrand 2017-07-09 16:18:45 UTC
(In reply to Nir Yechiel from comment #4)
> (In reply to Bertrand from comment #3)
> > (In reply to Nir Yechiel from comment #2)
> > > Bertrand,
> > > 
> > > I'd like to use this RFE as a tracker to collect requirements for TaaS. Can
> > > you please check with the Nokia team if they are OK with making it a public
> > > BZ?
> > > 
> > > Thanks,
> > > Nir
> > 
> > Hello Nir,
> > 
> > Sorry for the late reply. Nokia is perfectly fine in having that BZ public.
> > 
> > 
> > Sincerely,
> > 
> > Bertrand
> 
> Thanks a lot. Any idea of an easy way to do it? It looks like I can't simply
> "clear" the partner field.
> 
> Thanks,
> Nir

Hi Nir,

This BZ is already public as far as I can tell as there is no group defined for it. That said I may be missing your point.
Sincerely,

Bertrand

Comment 6 Assaf Muller 2017-07-13 21:13:29 UTC
*** Bug 1462796 has been marked as a duplicate of this bug. ***

Comment 7 David Peacock 2017-07-17 13:11:14 UTC
As per Assaf's request on the duplicate 1462796, we have a new customer requiring this in Belgacom.

"I'd like to know if and when the Tap-as-a-Service project would be integrated in RedHat OSP. Feature is very important for insight inside the VNF running on our planned "Telco Cloud"."

Comment 18 Franck Baudin 2018-09-07 16:04:12 UTC
*** Bug 1571884 has been marked as a duplicate of this bug. ***

Comment 21 Assaf Muller 2020-09-23 12:58:14 UTC
*** Bug 1881890 has been marked as a duplicate of this bug. ***


Note You need to log in before you can comment on or make changes to this bug.